cURL
curl --request GET \ --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/files/{file_id} \ --header 'Authorization: Bearer <token>'
{ "content_length": 123, "content_type": "<string>", "created_at": "2023-11-07T05:31:56Z", "id": 123, "kb_id": 123, "metadata": "<unknown>", "name": "<string>", "uid": "<string>", "updated_at": "2023-11-07T05:31:56Z", "url": "<string>", "embeddings": [ { "created_at": "2023-11-07T05:31:56Z", "id": 123, "kb_file_id": 123, "model": "<string>", "provider": "<string>", "status": "<string>", "updated_at": "2023-11-07T05:31:56Z", "chunk_count": 123, "cost_usd": 123, "error": "<string>", "parsing_id": 123, "token_count": 123 } ], "parsings": [ { "created_at": "2023-11-07T05:31:56Z", "id": 123, "kb_file_id": 123, "provider": "<string>", "status": "<string>", "updated_at": "2023-11-07T05:31:56Z", "chunk_count": 123, "cost_usd": 123, "error": "<string>", "num_pages": 123, "provider_job_id": "<string>", "s3_bucket": "<string>", "s3_key": "<string>" } ] }
Get a file with its parsings and embeddings metadata
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
File details with parsings and embeddings
Show child attributes